Xeonr Developer Docs

Create upload alias

POST
/uplim.api.v1.UploadAliasService/CreateUploadAlias

Creates a shareable alias link for an upload with optional access restrictions like password, expiry, use limits, and allowed users.

Authorization

OAuth2 upl:bucket:manage
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:manage

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&
uploadId?string

ID of the upload to create alias for

Formatuuid
path?string|null

Path for the alias (optional, defaults to upload's path)

Lengthlength <= 4096
slug?string|null

Slug for the alias (optional, auto-generated if not provided or empty)

Lengthlength <= 255
password?string|null

Password to protect the alias (optional; empty means none). bcrypt caps passwords at 72 bytes.

Lengthlength <= 72
expiresAt?google.protobuf.Timestamp|null

When the alias expires (optional, null = never)

maxUses?integer|null

Maximum number of uses (optional, null = unlimited)

Formatint32
Range0 <= value
allowedUserIds?allowed_user_ids

User IDs that are allowed to access (optional, empty = anyone)

Itemsitems <= 1000
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.UploadAliasService/CreateUploadAlias" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "alias": {
    "aliasId": "string",
    "uploadId": "string",
    "path": "string",
    "slug": "string",
    "url": "string",
    "hasPassword": true,
    "expiresAt": "2023-01-15T01:30:15.01Z",
    "maxUses": 0,
    "useCount": 0,
    "allowedUserIds": [
      "string"
    ],
    "createdAt": "2023-01-15T01:30:15.01Z",
    "externalPath": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}